## vaapijpegenc vaapijpegenc — A VA-API based JPEG image encoder |

## Properties

guint | bitrate | Read / Write
guint | keyframe-period | Read / Write
guint | quality | Read / Write
GstVaapiRateControlJPEG | rate-control | Read / Write
GstVaapiEncoderTuneJPEG | tune | Read / Write

## Description

Encodes raw images into JPEG images.

### Example launch line

    1
    gst-launch-1.0 -ev videotestsrc num-buffers=1 ! timeoverlay ! vaapijpegenc ! filesink location=test.jpg

## Functions

## Types and Values

## Property Details

### The `“bitrate”` property

      “bitrate”                  guint

The desired bitrate expressed in kbps (0: auto-calculate).

Flags: Read / Write

Allowed values: <= 102400

Default value: 0

### The `“keyframe-period”` property

      “keyframe-period”          guint

Maximal distance between two keyframes (0: auto-calculate).

Flags: Read / Write

Allowed values: [1,300]

Default value: 30

### The `“quality”` property

      “quality”                  guint

Quality factor.

Flags: Read / Write

Allowed values: <= 100

Default value: 50

### The `“rate-control”` property

      “rate-control”             GstVaapiRateControlJPEG

Rate control mode.

Flags: Read / Write

Default value: None

### The `“tune”` property

      “tune”                     GstVaapiEncoderTuneJPEG

Encoder tuning option.

Flags: Read / Write

Default value: None